--- encoder/slicetype_decision.c
+++ encoder/slicetype_decision.c
@@ -292,6 +292,12 @@
                 i_score += x264_slicetype_mb_cost( h, a, frames, p0, p1, b, dist_scale_factor );
     }
 
+    /* reset mv bounds */
+    h->mb.mv_min_fpel[0] = h->mb.mv_max_fpel[0] =
+    h->mb.mv_min_spel[0] = h->mb.mv_max_spel[0] =
+    h->mb.mv_min_fpel[1] = h->mb.mv_max_fpel[1] =
+    h->mb.mv_min_spel[1] = h->mb.mv_max_spel[1] = 0;
+
     if( b != p1 )
         i_score = i_score * 100 / (120 + h->param.i_bframe_bias);
 
